Can't compile Ionic 3 project. Could not find com.google.firebase:firebase-core:15.0.1


#1

I’ve been living in a literally nightmare lately with a migration form ionic 2 to ionic 3 project. I’m very disappointed with ionic team on how painful such migration process is, that way can’t be the best way Ionic team have to offer to the community, i refuse to believe that, it is real Nightmare!

I hope you can help me.
Regards

My Google play services and repository are allready up-to-date.
Our last error when compiling is the following:
FAILED
3 actionable tasks: 1 executed, 2 up-to-date
FAILURE: Build failed with an exception.

  • What went wrong:
    Could not resolve all files for configuration ‘:debugCompileClasspath’.

Could not find com.google.firebase:firebase-core:15.0.1.
Searched in the following locations:
file:/C:/Program Files (x86)/Android/android-sdk/extras/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Program Files (x86)/Android/android-sdk/extras/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
file:/C:/Program Files (x86)/Android/android-sdk/extras/google/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Program Files (x86)/Android/android-sdk/extras/google/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
file:/C:/Program Files (x86)/Android/android-sdk/extras/android/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Program Files (x86)/Android/android-sdk/extras/android/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://maven.google.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://maven.google.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://jcenter.bintray.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://jcenter.bintray.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://repo1.maven.org/maven2/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://repo1.maven.org/maven2/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
file:/C:/Develop/Mis Projectos/socialshippers/Hybric/CheapChipping/platforms/android/src/main/libs/firebase-core-15.0.1.jar
file:/C:/Develop/Mis Projectos/socialshippers/Hybric/CheapChipping/platforms/android/src/main/libs/firebase-core.jar
file:/C:/Develop/Mis Projectos/socialshippers/Hybric/CheapChipping/platforms/android/libs/firebase-core-15.0.1.jar
file:/C:/Develop/Mis Projectos/socialshippers/Hybric/CheapChipping/platforms/android/libs/firebase-core.jar
Required by:
project :

  • Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

  • Get more help at https://help.gradle.org

BUILD FAILED in 5s
Error: cmd: Command failed with exit code 1 Error output:
FAILURE: Build failed with an exception.

  • What went wrong:
    Could not resolve all files for configuration ‘:debugCompileClasspath’.

Could not find com.google.firebase:firebase-core:15.0.1.
Searched in the following locations:
file:/C:/Program Files (x86)/Android/android-sdk/extras/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Program Files (x86)/Android/android-sdk/extras/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
file:/C:/Program Files (x86)/Android/android-sdk/extras/google/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Program Files (x86)/Android/android-sdk/extras/google/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
file:/C:/Program Files (x86)/Android/android-sdk/extras/android/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
file:/C:/Program Files (x86)/Android/android-sdk/extras/android/m2repository/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://maven.google.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://maven.google.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://jcenter.bintray.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://jcenter.bintray.com/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
https://repo1.maven.org/maven2/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.pom
https://repo1.maven.org/maven2/com/google/firebase/firebase-core/15.0.1/firebase-core-15.0.1.jar
file:/C:/Develop/Mis Projectos/socialshippers/Hybric/CheapChipping/platforms/android/src/main/libs/firebase-core-15.0.1.jar
file:/C:/Develop/Mis Projectos/socialshippers/Hybric/CheapChipping/platforms/android/src/main/libs/firebase-core.jar
file:/C:/Develop/Mis Projectos/socialshippers/Hybric/CheapChipping/platforms/android/libs/firebase-core-15.0.1.jar
file:/C:/Develop/Mis Projectos/socialshippers/Hybric/CheapChipping/platforms/android/libs/firebase-core.jar
Required by:
project :

  • Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

  • Get more help at https://help.gradle.org

BUILD FAILED in 5s

[ERROR] An error occurred while running cordova build android (exit code 1).

                                             **Following is part of mi package.json**

“dependencies”: {
@angular/animations”: “5.2.10”,
@angular/common”: “5.2.10”,
@angular/compiler”: “5.2.10”,
@angular/compiler-cli”: “5.2.10”,
@angular/core”: “5.2.10”,
@angular/forms”: “5.2.10”,
@angular/http”: “5.2.10”,
@angular/platform-browser”: “5.2.10”,
@angular/platform-browser-dynamic”: “5.2.10”,
@angular/platform-server”: “6.0.3”,
@ionic-native/app-preferences”: “^4.7.0”,
@ionic-native/core”: “^4.7.0”,
@ionic-native/facebook”: “^4.3.1”,
@ionic-native/geolocation”: “^4.7.0”,
@ionic-native/google-maps”: “^4.8.2”,
@ionic-native/google-plus”: “^4.2.1”,
@ionic-native/keyboard”: “^4.7.0”,
@ionic-native/local-notifications”: “^4.7.0”,
@ionic-native/native-geocoder”: “^4.7.0”,
@ionic-native/push”: “^4.7.0”,
@ionic-native/splash-screen”: “^4.7.0”,
@ionic-native/status-bar”: “^4.7.0”,
@ionic-native/twitter-connect”: “^4.3.1”,
@ionic/storage”: “2.1.3”,
“angularfire2”: “^5.0.0-rc.10”,
“cordova-android”: “^6.4.0”,
“cordova-android-support-gradle-release”: “^1.4.3”,
“cordova-ios”: “^4.4.0”,
“cordova-plugin-add-swift-support”: “^1.7.1”,
“cordova-plugin-app-preferences”: “~0.99.3”,
“cordova-plugin-console”: “^1.1.0”,
“cordova-plugin-device”: “^2.0.2”,
“cordova-plugin-facebook4”: “^2.1.0”,
“cordova-plugin-geolocation”: “^4.0.1”,
“cordova-plugin-googlemaps”: “^2.3.6”,
“cordova-plugin-googleplayservices”: “^19.0.3”,
“cordova-plugin-googleplus”: “^5.1.1”,
“cordova-plugin-nativegeocoder”: “^3.1.1”,
“cordova-plugin-splashscreen”: “^5.0.2”,
“cordova-plugin-statusbar”: “^2.2.3”,
“cordova-plugin-whitelist”: “^1.3.2”,
“cordova-sqlite-storage”: “^2.0.4”,
“de.appplant.cordova.plugin.local-notification”: “^0.8.5”,
“firebase”: “^5.0.3”,
“ionic-angular”: “3.9.2”,
“ionic-native”: “2.9.0”,
“ionic-plugin-deploy”: “^0.6.7”,
“ionic-plugin-keyboard”: “^2.2.1”,
“ionicons”: “3.0.0”,
“minimist”: “^1.2.0”,
“npm”: “^6.1.0”,
“phonegap-plugin-push”: “^2.0.0-rc4”,
“rxjs”: “5.5.10”,
“sw-toolbox”: “3.6.0”,
“xml2js”: “^0.4.19”,
“zone.js”: “0.8.26”
},
“devDependencies”: {
@ionic/app-scripts”: “3.1.9”,
“typescript”: “~2.6.2”
},
“cordovaPlugins”: [
“cordova-plugin-whitelist”,
“cordova-plugin-console”,
“cordova-plugin-device”,
“cordova-plugin-statusbar”,
“cordova-plugin-splashscreen”,
“ionic-plugin-keyboard”
]